WPS4PLCInternal::PLC Struct Reference documentation

Public Types | Public Member Functions | Public Attributes | List of all members
WPS4PLCInternal::PLC Struct Reference

Internal and low level: the PLC different types and their structures. More...

## Public Types
enum | Position { P_ABS =0 , P_REL , P_UNKNOWN }
| the way to define the text positions More...
enum | Type { T_CST =0 , T_COMPLEX , T_UNKNOWN }
| the type of the content More...
typedef enum WPS4TextInternal::PLCType | PLCType
| the PLC types

## Public Member Functions
| PLC (PLCType w=WPS4TextInternal::Unknown, Position p=P_UNKNOWN, Type t=T_UNKNOWN, unsigned char tChar='\0', int f=1)
| constructor
| PLC (PLC const &orig)=default
| PLC (PLC &&orig)=default
PLC & | operator= (PLC const &orig)=default
PLC & | operator= (PLC &&orig)=default

## Public Attributes
PLCType | m_type
| PLC type.
Position | m_pos
| the way to define the text positions
Type | m_contentType
| the type of the content
unsigned char | m_textChar
| the character which appears in the text when this PLC is found
int | m_cstFactor
| some data are stored divided by some unit

## Detailed Description

Internal and low level: the PLC different types and their structures.

## Member Typedef Documentation

## ◆ PLCType

typedef enum WPS4TextInternal::PLCType WPS4PLCInternal::PLC::PLCType

the PLC types

## Member Enumeration Documentation

## ◆ Position

enum WPS4PLCInternal::PLC::Position

the way to define the text positions

- P_ABS: absolute position,
- P_REL: position are relative to the beginning text offset

Enumerator
P_ABS |
P_REL |
P_UNKNOWN |

## ◆ Type

enum WPS4PLCInternal::PLC::Type

the type of the content

- T_CST: size is constant
- T_STRUCT: a structured type ( which unknown size)

Enumerator
T_CST |
T_COMPLEX |
T_UNKNOWN |

## Constructor & Destructor Documentation

## ◆ PLC() [1/3]

WPS4PLCInternal::PLC::PLC | ( | PLCType | w = WPS4TextInternal::Unknown,
|  | Position | p = P_UNKNOWN,
|  | Type | t = T_UNKNOWN,
|  | unsigned char | tChar = '\0',
|  | int | f = 1 )
| inlineexplicit

constructor

Referenced by operator=(), operator=(), PLC(), and PLC().

## ◆ PLC() [2/3]

WPS4PLCInternal::PLC::PLC | ( | PLC const & | orig | ) |
| default

## ◆ PLC() [3/3]

WPS4PLCInternal::PLC::PLC | ( | PLC && | orig | ) |
| default

## Member Function Documentation

## ◆ operator=() [1/2]

PLC & WPS4PLCInternal::PLC::operator= | ( | PLC && | orig | ) |
| default

## ◆ operator=() [2/2]

PLC & WPS4PLCInternal::PLC::operator= | ( | PLC const & | orig | ) |
| default

## Member Data Documentation

## ◆ m_contentType

Type WPS4PLCInternal::PLC::m_contentType

the type of the content

Referenced by PLC().

## ◆ m_cstFactor

int WPS4PLCInternal::PLC::m_cstFactor

some data are stored divided by some unit

Referenced by PLC().

## ◆ m_pos

Position WPS4PLCInternal::PLC::m_pos

the way to define the text positions

Referenced by PLC().

## ◆ m_textChar

unsigned char WPS4PLCInternal::PLC::m_textChar

the character which appears in the text when this PLC is found

'\0' means that there is not default character

Referenced by PLC().

## ◆ m_type

PLCType WPS4PLCInternal::PLC::m_type

PLC type.

Referenced by PLC().

The documentation for this struct was generated from the following file:

- WPS4Text.cpp